Instalator Microsoft ODBC dla programu — okno dialogowe

Okno dialogowe Instalator Microsoft ODBC dla programu Oracle zawiera następujące formanty:

Nazwa źródła danych | Nazwa lub identyfikator używany przez aplikacje do wywoływania lub używania tego źródła danych. Użytkownicy mogą używać dowolnej opisowej metody przy nadawaniu nazwy źródłu danych. Pole to jest domyślnie puste, ale wymagane.
Opis | Zawiera dowolne opisowe kwalifikatory; domyślnie puste.
Nazwa użytkownika | Nazwa użytkownika tego źródła danych.
Serwer | Alias bazy danych utworzony przy użyciu konfiguracji Easy Configuration programu SQL*Net lub ciąg połączenia. (Informacje na temat konstrukcji ciągu można znaleźć w temacie Atrybuty ciągu połączenia. Opisy osobistych i zdalnych ciągów połączenia baz danych można znaleźć w pliku Pomocy programu Oracle.)
Translacja | Kliknij przycisk Wybierz, aby wybrać załadowany translator danych; Ustawieniem domyślnym jest Brak translatora.
Wydajność Opcja Rozmiar buforu określa rozmiar, w bajtach, alokowany dla pobieranych danych. Sterownik optymalizuje pobieranie w taki sposób, że jedno pobranie z serwera Oracle Server zwraca wystarczająco dużo wierszy, aby zapełnić bufor określonego rozmiaru. Większe wartości zwiększają wydajność, gdy pobieranych jest dużo danych.

Opcja Dołącz klauzulę REMARKS w funkcjach katalogowych określa, że sterownik ma zwracać kolumny Remarks dla zestawu wyników SQLColumns. Aby zwiększyć wydajność, należy wyczyścić tę opcję.

Opcja Dołącz klauzulę SYNONYMS w SQLColumns określa, gdy ustawiona jest na wartość True (1), że wywołanie API SQLColumns() zwraca informacje o kolumnach dla tabel, widoków i synonimów. Sterownik ten zwraca informacje o kolumnach szybciej, gdy wartość ta nie jest ustawiona (lub gdy jest ustawiona na 0).
Dostosowywanie Opcja Wymuszaj standard ODBC DayOfWeek ustawia zestaw wyników na określony format dnia tygodnia. Jeśli jest zaznaczona, określa, że zestaw wyników jest zgodny z formatem dnia tygodnia standardu ODBC (niedziela = 1; sobota = 7). W przeciwnym razie, zestaw wyników jest zgodny z formatem dnia tygodnia programu Oracle (poniedziałek = 1; niedziela = 7).

Opcja SQLDescribeCol zawsze zwraca wartość precyzji określa, że wywołanie SQLDescribeCol zwraca wartość precyzji 130, gdy informacja ta nie jest dostarczana przez program Oracle. Niektóre liczbowe typy danych programu Oracle, takie jak obliczane kolumny liczbowe i kolumny zdefiniowane jako NUMBER bez precyzji lub skali, nie mają ustalonej prezcyzji. Jeśli to pole wyboru jest wyczyszczone, sterownik zwraca wartość 0 dla tych typów kolumn.

Uwaga Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Sterownik Microsoft ODBC dla programu Oracle obsługuje tylko program SQL*Net w wersji 2.3 lub nowszej. Więcej informacji na temat produktów firmy Oracle można znaleźć w dokumentacji programu Oracle. Inne informacje można znaleźć w tematach Obsługa oprogramowania i Pomoc techniczna tego pliku Pomocy.


.topic 4209
The name or identifier used by applications to call or use this data source. Blank by default, but required.

.topic 4210
Descriptive qualifiers; blank by default.

.topic 4201
The amount of data, in bytes, that the application will attempt to fetch at one time.

.topic 4202
Type your database user name; this is your database user ID.

.topic 4203
Sets the result set to a particular day-of-week format; ODBC or Oracle.

.topic 4204
If selected, specifies that the driver returns Remarks columns for the SQLColumns result set. Clear this option for faster performance.

.topic 4205
Specifies that the driver returns column information for SYNONYMS.

.topic 4206
Type the connect string for the Oracle Server engine you want to access.

.topic 4207
Click to choose a loaded data translator.

.topic 4208
If selected, the SQLDescribeCol call returns 130 for the precision when that information is not provided by Oracle. Otherwise the driver returns 0 for these types of columns.


Atrybuty ciągu połączenia

Niektóre aplikacje zamiast okna dialogowego mogą wymagać ciągu połączenia, który określa, przy użyciu określonych atrybutów, jak sterownik łączy się ze źródłem danych. Każdy atrybut identyfikuje określone informacje, których potrzebuje sterownik, aby połączenie powiodło się. Format ciągu połączenia jest zawsze następujący:

"DSN=<nazwa-źródła-danych>[;SERVER=<wartość>] [;PWD=<wartość>] [;UID=<wartość>] [;<Atrybut>=<wartość>]"

Uwaga Sterownik Microsoft ODBC dla programu Oracle obsługuje również argument CONNECTSTRING z pierwszej wersji (1.x) tego sterownika.

Jeśli nie zostaną określone atrybuty UID, PWD, SERVER (lub CONNECTSTRING) i DRIVER, trzeba określić nazwę źródła danych. Jednak wszystkie inne atrybuty są opcjonalne. Jeśli jakiś atrybut nie jest określony, atrybut na karcie DSN okna dialogowego Administrator źródeł danych ODBC ma wartość domyślną.

Atrybuty ciągu połączenia opisano w następującej tabeli.

Atrybut | Opis | Wartość domyślna
DSN Nazwa źródła danych wyświetlana na kartach DSN użytkownika i DSN systemu okna dialogowego Administrator źródeł danych ODBC. ""
PWD Hasło dla serwera Oracle Server, do którego chcesz uzyskać dostęp. Ten sterownik obsługuje limit programu Oracle — 30 znaków — i ma te same ograniczenia dotyczące haseł, co program Oracle. ""
Serwer Ciąg dla serwera Oracle Server, do którego chcesz uzyskać dostęp.

Ciąg ten może być aliasem bazy danych programu Oracle, pozycją w pliku Tnsnames.ora lub aliasem, który będzie mapowany na poprawny serwer przy użyciu serwera Oracle Names Server.

Alias bazy danych może zostać ustawiony przy użyciu konfiguracji Fast Configuration programu SQL*Net firmy Oracle (lub konfiguracji Net8 Easy Configuration dla baz danych programu Oracle8). Więcej informacji na temat łączenia się z bazami danych programu Oracle można znaleźć w dokumentacji programu Oracle.

 ""
UID Nazwa użytkownika serwera Oracle Server. Atrybut ten może nie być opcjonalny — niektóre bazy danych i tabele mogą wymagać tego atrybutu ze względów bezpieczeństwa.

Aby wskazać uwierzytelnianie systemu operacyjnego programu Oracle, użyj wartości "UID=/;".

""
BUFFERSIZE Optymalny rozmiar buforu dla pobierania kolumn.

Sterownik optymalizuje pobieranie w taki sposób, że jedno pobranie z serwera Oracle Server zwraca wystarczająco dużo wierszy, aby zapełnić bufor określonego rozmiaru. Większe wartości zwiększają wydajność, gdy pobieranych jest dużo danych.

 65535
SYNONYMCOLUMNS | Jeśli atrybut ten ustawiony jest na wartość true (1), wywołanie API SQLColumns zwraca informacje o kolumnach dla tabel, widoków i synonimów. W przeciwnym razie, wywołanie SQLColumns zwraca kolumny tylko dla tabel i widoków. Aby zwiększyć wydajność, nie należy ustawiać tej wartości. | 1
REMARKS | Jeśli atrybut ten ustawiony jest na wartość true (1), sterownik zwraca kolumny Remarks dla zestawu wyników SQLColumns. Aby zwiększyć wydajność, należy wyczyścić tę opcję. | 0
StdDayOfWeek | Wymusza standard ODBC dla skalara DAYOFWEEK. Jest to wartość domyślna; użytkownicy potrzebujący wersji zlokalizowanej mogą zmienić to zachowanie i używać wartości zwracanej przez program Oracle. | 1

Uwaga Dla wartości atrybutów może być rozróżniana wielkość znaków.

Przykłady

Następujący ciąg połączenia łączy ze źródłem danych Employees przy użyciu serwera Oracle Server o nazwie mickey.world i nazwy użytkownika serwera Oracle cindy:

"DSN=Employees;UID=cindy;PWD=secret;SERVER=mickey.world"

Następujący ciąg połączenia łączy ze źródłem danych Payroll przy użyciu uwierzytelniania systemu operacyjnego programu Oracle i serwera Oracle Server o nazwie moola:

"DSN=Payroll;UID=/;PWD=;SERVER=moola"


Połączenie Microsoft ODBC dla programu Oracle — okno dialogowe

Okno dialogowe Połączenie Microsoft ODBC dla programu Oracle zawiera następujące formanty:

Nazwa użytkownika | Nazwa używana do łączenia się z bazą danych programu Oracle.
Hasło | Hasło używane do łączenia się z bazą danych programu Oracle; obowiązują dla niego takie same ograniczenia, jak w programie Oracle.
Serwer | Wpisz alias bazy danych programu Oracle, pozycję z pliku Tnsnames.ora lub alias, który będzie mapowany na poprawny serwer przy użyciu serwera Oracle Names Server. Więcej informacji na temat łączenia się z bazą danych program Oracle można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Informacje dotyczące pliku Tnsnames.ora można znaleźć w dokumentacji programu Oracle.


Pomoc techniczna

Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers ODBC Drivers.)

Firma Oracle Corporation oferuje określoną dokumentację dotyczącą instalacji i używania oprogramowania klienckiego Oracle.


Obsługa oprogramowania

Sterownik Microsoft ODBC dla programu Oracle obsługuje:

  • Microsoft Windows 95/98, Microsoft Windows NT 4.0 i Windows 2000

  • Oracle Call Interface 7 (OCI7)

  • SQL*Net w wersji 2.3 lub nowszej

  • ODBC w wersjach 2.x i starszych (Najnowsza wersja standardu ODBC może być zainstalowana, ale nie cała jego funkcjonalność może być używana.)


SQLColumns

Tworzy zestaw wyników dla tabeli, który jest listą kolumn dla określonej tabeli lub tabel. Gdy użytkownik żąda kolumn dla synonimu PUBLIC, musi mieć ustawiony atrybut połączenia SYNONYMCOLUMNS i argument szTableOwner określony jako pusty ciąg znaków. Zwracając kolumny dla synonimów PUBLIC, sterownik ustawia kolumnę TABLE NAME na pusty ciąg znaków. Zestaw wyników zawiera na końcu każdego wiersza kolumnę dodatkową, ORDINAL POSITION. Wartość ta jest numerem porządkowym danej kolumny w tabeli.